## Package edu.stanford.nlp.trees.tregex.tsurgeon

Interface Summary
TsurgeonParserConstants: Token literal values and constants.
TsurgeonParserTreeConstants

Class Summary
CoindexNodes
JJTTsurgeonParserState
SimpleCharStream: An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).
Token: Describes the input token stream.
Tsurgeon: Tsurgeon provides a way of editing trees based on a set of operations that are applied to tree locations matching a tregex pattern.
TsurgeonParserTokenManager: Token Manager.
TsurgeonPattern: An abstract class for patterns to manipulate `Tree`s when successfully matched on with a `TregexMatcher`.

Exception Summary
ParseException: This exception is thrown when parse errors are encountered.

Error Summary
TokenMgrError: Token Manager Error.

Stanford NLP Group